# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif
# Define the buildsys macros for the host system
%global dist .%{__distinit}%{__distvers}
%if "%{__distinit}" == "fc"
%global __distname fedora
%else
%global __distname %{__distinit}
%endif
%if "%{__distinit}" == "rhel"
%global __distid el
%else
%global __distid %{__distinit}
%endif

Name:           buildsys-macros
Summary:        Macros for the Mock Buildsystem
Version:        1
Release:        5%{dist}
License:        GPL+
Group:          Development/Buildsystem
Url:            http://www.city-fan.org/ftp/contrib/buildsys/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
Buildarch:      noarch

%description
Macros for the Mock Buildsystem

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc/rpm/
(
        printf %s%b "%" "dist %{dist}\n"
        printf %s%b "%" "%{__distname} %{__distvers}\n"
        printf %s%b "%" "%{__distid}%{__distvers} 1\n"
) > %{buildroot}/etc/rpm/macros

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
/etc/rpm/macros

%changelog
* Fri Jul 29 2011 Paul Howarth <paul@city-fan.org> 1-5
- Fix dist tags for CentOS 6 and Scientific Linux
- Define macros in global scope
- Nobody else likes macros for commands

* Mon Jun  4 2007 Paul Howarth <paul@city-fan.org> 1-4
- Improve support for Rawhide/Test release detection
- Add distribution ID macro as used in Fedora 7 onwards (e.g. "fc7", "el4")

* Fri Aug 25 2006 Paul Howarth <paul@city-fan.org> 1-3
- Distribution subversion must be > 80 (rather than > 7) to trigger
  development branch kludge, so as not to cause issues when CentOS 3.8 gets
  released

* Thu Aug 24 2006 Paul Howarth <paul@city-fan.org> 1-2
- Bump distribution version for development releases

* Fri Jun 23 2006 Paul Howarth <paul@city-fan.org> 1-1
- Rewrite to generate the correct macros for the host system

* Thu Apr 13 2006 Paul Howarth <paul@city-fan.org>
- Tweak for Red Hat Linux 8.0

* Tue May 10 2005 Tom "spot" Callaway <tcallawa@redhat.com>
- Initial build
